## org.bn.compiler.parser.model
Class ElementSetSpec

    java.lang.Object
      org.bn.compiler.parser.model.ElementSetSpec

    public class ElementSetSpec

extends java.lang.Object

Field Summary
`ConstraintElements` `allExceptCnselem`
`java.util.ArrayList` `intersectionList`
`boolean` `isAllExcept`

Constructor Summary
`ElementSetSpec()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### allExceptCnselem

    public ConstraintElements allExceptCnselem

### intersectionList

    public java.util.ArrayList intersectionList

### isAllExcept

    public boolean isAllExcept

Constructor Detail

### ElementSetSpec

    public ElementSetSpec()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`